List Courses
Endpoint used to retrieve the list of all published free courses of your institution in Toolzz LMS.
Request Example
Section titled “Request Example”curl --request GET \ --url 'https://kong.api.toolzz.com.br/api/courses/all/{type_id}' \ --header 'Authorization: Bearer <token>'Response Example
Section titled “Response Example”{ "data": [ { "id": "<string>", "titulo": "<string>", "descricao": "<string>", "capa": "<string>", "preco": "<string>", "cursos_tipo_id": 1, "classification": "<string>", "classification_id": "<string>", "ciclos": [], "etapas": [], "disciplinas": [], "escolas": [], "tags": [], "class": { "id": "<string>", "titulo": "<string>", "curso_id": "<string>", "code": "<string>", "status_id": 1 } } ]}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters (Path)
Section titled “URL Parameters (Path)”| Parameter | Type | Description | Required |
|---|---|---|---|
type_id | int | Defines the type of content to be returned. 1: Curricular Component. 2: Course. | Yes |
URL Parameters (Query)
Section titled “URL Parameters (Query)”| Parameter | Type | Description | Required |
|---|---|---|---|
group | string | Group filter. If provided, must not contain <, >, or & characters. | No |
subgroup | string | Subgroup filter. If provided, must not contain <, >, or & characters. | No |
specialty | string | Specialty filter. If provided, must not contain <, >, or & characters. | No |
status | string | Course status. “Published”: Published courses. “Draft”: Draft courses. | No |
page | int | Page number for result pagination. | No |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
data | array | List of courses. |
data.id | string | Unique identifier of the course. |
data.titulo | string | Course title. |
data.descricao | string | Course description. |
data.capa | string | URL of the course cover image. |
data.preco | string | Course price. |
data.cursos_tipo_id | number | Course type ID. |
data.classification | string | Course classification, if available. |
data.classification_id | string | Course classification ID. |
data.ciclos | array | List of cycles related to the course. |
data.etapas | array | List of stages associated with the course. |
data.disciplinas | array | List of subjects associated with the course. |
data.escolas | array | List of associated schools. |
data.tags | array | Tags associated with the course. |
data.class | object | Details of the class associated with the course. |
data.class.id | string | Unique identifier of the class. |
data.class.titulo | string | Class title. |
data.class.curso_id | string | ID of the associated course. |
data.class.code | string | Class code. |
data.class.status_id | number | Class status identifier. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.